org.apache.ignite.ml.sql

## Class SQLFunctions

- java.lang.Object
- - org.apache.ignite.ml.sql.SQLFunctions

-     public class SQLFunctions
      extends Object

  SQL functions that should be defined and passed into cache configuration to extend list of functions available in SQL interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLFunctions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `predict(String mdl, Double... x)` Makes prediction using specified model name to extract model from model storage and specified input values as input object for prediction.
    `static double` | `predictRecommendation(String mdl, Integer objId, Integer subjId)` Makes prediction using specified model name to extract model from model storage and specified input values as input object for prediction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLFunctions

          public SQLFunctions()

  - ### Method Detail

    - #### predict

          @QuerySqlFunction
          public static double predict(String mdl,
                                                         Double... x)

      Makes prediction using specified model name to extract model from model storage and specified input values as input object for prediction.
      Parameters:
        `mdl` - Pretrained model.
        `x` - Input values.
      Returns:
        Prediction.

    - #### predictRecommendation

          @QuerySqlFunction
          public static double predictRecommendation(String mdl,
                                                                       Integer objId,
                                                                       Integer subjId)

      Makes prediction using specified model name to extract model from model storage and specified input values as input object for prediction.
      Parameters:
        `mdl` - Pretrained model.
        `objId` - Object id.
        `subjId` - Subject id.
      Returns:
        Prediction.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023